Subject: [Rfc-markdown] 1.3.16..1.3.18: small improvements, math

From: Carsten Bormann <[email-masked]>
Date: Wed, 9 Dec 2020 09:03:41 +0100

It seems I haven’t done my usual updates on recent kramdown-rfc releases.

So here they are, by commit:

* 2298e53 1.3.18: Generate v3 XML for dl/dt/dd

The v2 format for definition lists has the problem that you can’t have substructure in the definition term.  With the v3 format now used, constructs such as <sub>…</sub> can be had in the definition term.

Note that v3 enforces a strict (dt, dd)+ rhythm.  Kramdown-rfc fakes this, if needed, by adding empty dt or dd elements (dd can’t be empty, so it’s actually <dd><t/></dd>).

I expect to do quite a few similar little v3 sprints over the next few months; if you have something that you want done first, please holler (as in https://github.com/cabo/kramdown-rfc2629/issues/76).

* a6d14a3 Tag stderr messages from tools with the tool name

Various tools called from kramdown-rfc send things to stderr, and it is sometimes not easy to find out where a message comes from.  These messages should now be tagged in a way that reduces the guessing.

* 8b10657 Add -c (convert) option as a milder version of -p (prep)

For submission, my recommendation has been to do a kdrfc -p (run the prep tool).  If you know you don’t have external references (such as src= on an svg), you can now use the less heavy -c option to get a draft-foo.v2v3.xml that should survive submission as v3 and even would be useful to the RFC editor.

* 1a0615c Add basic support for inline math character keyboarding

So you can write $$\alpha \ll \beta \bar{x}$$ inside a paragraph.
➔
So you can write α ≪ β x̅ inside a paragraph.

(This is experimental, but will move in the direction of supporting more Latex, not less.  Sub/sup support is next...)
Kudos to the unicodeit tool from where this functionality was stolen^W inspired.

* e9f28b4 1.3.17: Prototype equation support (address #84), subject to change.

~~~ math
\begin{array}{l}
α_{aimd} = 3 * \frac{1 - β_{cubic}}{1 + β_{cubic}} \\
β_{aimd} = β_{cubic} \\
\end{array}
~~~

now generates SVG from math with tex2svg (which you need to have installed and on the path), and fallback with asciitex (which is not great, but Lars Eggert is on it; and, again, you have to have it installed and on path).

Of course, this should replace block-level math processing ($$…$$) at some point, but at the moment it was easier to wedge this in as math “sourcecode”.

* 94c78e2 1.3.16: Fix apostrophes in hangText

A really old bug where I had used the wrong escaping function for hangText (as in definition lists), so you couldn’t (this!) have apostrophes in them.  (Since 1.3.18, this is no longer relevant for --v3.)

Grüße, Carsten